Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface IMember

All Superinterfaces:
  IAdaptable, IJavaElement, IParent, ISourceManipulation, ISourceReference

All Known Subinterfaces:
  IField, IInitializer, IMethod, IType

public interface IMember
extends IJavaElement, ISourceReference, ISourceManipulation, IParent

Common protocol for Java elements that can be members of types. This set consists of `IType`, `IMethod`, `IField`, and `IInitializer`.

This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.jdt.core.IJavaElement
`CLASS_FILE, COMPILATION_UNIT, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVA_MODEL, JAVA_PROJECT, LOCAL_VARIABLE, METHOD, PACKAGE_DECLARATION, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE`

Method Summary
`IClassFile` | `getClassFile()` Returns the class file in which this member is declared, or `null` if this member is not declared in a class file (for example, a source type).
`ICompilationUnit` | `getCompilationUnit()` Returns the compilation unit in which this member is declared, or `null` if this member is not declared in a compilation unit (for example, a binary type).
`IType` | `getDeclaringType()` Returns the type in which this member is declared, or `null` if this member is not declared in a type (for example, a top-level type).
`int` | `getFlags()` Returns the modifier flags for this member.
`ISourceRange` | `getNameRange()` Returns the source range of this member's simple name, or `null` if this member does not have a name (for example, an initializer), or if this member does not have associated source code (for example, a binary type).
`IType` | `getType(String name, int occurrenceCount)` Returns the local or anonymous type declared in this source member with the given simple name and/or with the specified position relative to the order they are defined in the source.
`boolean` | `isBinary()` Returns whether this member is from a class file.

Methods inherited from interface org.eclipse.jdt.core.IJavaElement
`exists, getAncestor, getCorrespondingResource, getElementName, getElementType, getHandleIdentifier, getJavaModel, getJavaProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.jdt.core.ISourceReference
`exists, getSource, getSourceRange`

Methods inherited from interface org.eclipse.jdt.core.ISourceManipulation
`copy, delete, move, rename`

Methods inherited from interface org.eclipse.jdt.core.IParent
`getChildren, hasChildren`

Method Detail

### getClassFile

    public IClassFile getClassFile()

  Returns the class file in which this member is declared, or `null` if this member is not declared in a class file (for example, a source type). This is a handle-only method.

  Returns:
    the class file in which this member is declared, or `null` if this member is not declared in a class file (for example, a source type)

### getCompilationUnit

    public ICompilationUnit getCompilationUnit()

  Returns the compilation unit in which this member is declared, or `null` if this member is not declared in a compilation unit (for example, a binary type). This is a handle-only method.

  Returns:
    the compilation unit in which this member is declared, or `null` if this member is not declared in a compilation unit (for example, a binary type)

### getDeclaringType

    public IType getDeclaringType()

  Returns the type in which this member is declared, or `null` if this member is not declared in a type (for example, a top-level type). This is a handle-only method.

  Returns:
    the type in which this member is declared, or `null` if this member is not declared in a type (for example, a top-level type)

### getFlags

    public int getFlags()
                 throws JavaModelException

  Returns the modifier flags for this member. The flags can be examined using class `Flags`.

  Note that only flags as indicated in the source are returned. Thus if an interface defines a method `void myMethod();` the flags don't include the 'public' flag.

  Returns:
    the modifier flags for this member
  Throws:
    `JavaModelException` - if this element does not exist or if an exception occurs while accessing its corresponding resource.
  See Also:
    `Flags`

### getNameRange

    public ISourceRange getNameRange()
                              throws JavaModelException

  Returns the source range of this member's simple name, or `null` if this member does not have a name (for example, an initializer), or if this member does not have associated source code (for example, a binary type).

  Returns:
    the source range of this member's simple name, or `null` if this member does not have a name (for example, an initializer), or if this member does not have associated source code (for example, a binary type)
  Throws:
    `JavaModelException` - if this element does not exist or if an exception occurs while accessing its corresponding resource.

### getType

    public IType getType(String name,
                         int occurrenceCount)

  Returns the local or anonymous type declared in this source member with the given simple name and/or with the specified position relative to the order they are defined in the source. The name is empty if it is an anonymous type. Numbering starts at 1 (thus the first occurrence is occurrence 1, not occurrence 0). This is a handle-only method. The type may or may not exist. Throws a `RuntimeException` if this member is not a source member.

  Parameters:
    `name` - the given simple name
    `occurrenceCount` - the specified position
  Returns:
    the type with the given name and/or with the specified position relative to the order they are defined in the source
  Since:
    3.0

### isBinary

    public boolean isBinary()

  Returns whether this member is from a class file. This is a handle-only method.

  Returns:
    `true` if from a class file, and `false` if from a compilation unit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.